Create Historical Transactions
POST /obp/v7.0.0/banks/BANK_ID/management/historical/transactions
OBPv4.0.0-createHistoricalTransactionAtBank Roles: CanCreateHistoricalTransactionAtBank(per bank) Transaction-Request
Create historical transactions at one Bank
Use this endpoint to create transactions between any two accounts at the same bank. From account and to account must be at the same bank. Example: { "from_account_id": "1ca8a7e4-6d02-48e3-a029-0b2bf89de9f0", "to_account_id": "2ca8a7e4-6d02-48e3-a029-0b2bf89de9f0", "value": { "currency": "GBP", "amount": "10" }, "description": "this is for work", "posted": "2017-09-19T02:31:05Z", "completed": "2017-09-19T02:31:05Z", "type": "SANDBOX_TAN", "charge_policy": "SHARED" }
This call is experimental.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON request body fields (10)
- amount
- 10.12
- charge_policy
- SHARED
- completed
- 2020-01-27
- currency
- EUR
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- from_account_id
- from_account_id
- posted
- 2020-01-27
- to_account_id
- to_account_id
- type
- value
- 5987953
JSON response body fields (14)
- amount
- 10.12
- charge_policy
- SHARED
- completed
- 2020-01-27
- currency
- EUR
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- from
- posted
- 2020-01-27
- to
- transaction_id
- 2fg8a7e4-6d02-40e3-a129-0b2bf89de8ub
- transaction_request_type
- SEPA
- value
- 5987953
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- bank_id
- gh.29.uk
- counterparty_id
- 9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh
Example request body
{
"from_account_id": "",
"to_account_id": "",
"value": {
"currency": "EUR",
"amount": "0"
},
"description": "this is for work",
"posted": "1100-01-01T01:01:01Z",
"completed": "1100-01-01T01:01:01Z",
"type": "SANDBOX_TAN",
"charge_policy": "SHARED"
}Example success response
{
"transaction_id": "2fg8a7e4-6d02-40e3-a129-0b2bf89de8ub",
"from": {
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"counterparty_id": "9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh"
},
"to": {
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"counterparty_id": "9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh"
},
"value": {
"currency": "EUR",
"amount": "0"
},
"description": "this is for work",
"posted": "1100-01-01T01:01:01Z",
"completed": "1100-01-01T01:01:01Z",
"transaction_request_type": "SANDBOX_TAN",
"charge_policy": "SHARED"
}Possible errors (10)
- OBP-10001: Incorrect json format.
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-30003: Account not found. Please specify a valid value for ACCOUNT_ID.
- OBP-30017: Counterparty not found. Please specify a valid value for COUNTERPARTY_ID.
- OBP-10002: Invalid Number. Could not convert value to a number.
- OBP-40008: Can't send a payment with a value of 0 or less.
- OBP-40003: Transaction Request Currency must be the same as From Account Currency.
- OBP-50000: Unknown Error.
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles: